import { Payload, HandlerPayload, Publisher, Consumer, BaseEventHandler, DefaultVersionSchedule } from 'ec-base';
export { Publisher as DemoTopicPublisher };
export { Consumer, BaseEventHandler, DefaultVersionSchedule };
export declare type DemoTopicPayloadBody = {
    userName?: string;
    userId?: string;
};
export declare class DemoTopicPayload extends Payload {
    getTopic(): string;
    getVersion(): string;
    getMajorVersion(): number;
    body: DemoTopicPayloadBody;
}
export declare class DemoTopicHandlerPayload extends HandlerPayload {
    body: DemoTopicPayloadBody;
}
